<?php
/**
 * Template part for displaying single posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Jumla
 */

?>
<div class="entry-content">
    <div class="twp-article-wrapper clearfix">
        <?php if (!is_single()) { ?>
            <header class="entry-header">
                <div class="entry-meta entry-inner">
                    <?php
                    jumla_posted_details(); ?>
                </div><!-- .entry-meta -->
            </header><!-- .entry-header -->
        <?php } ?>
        <?php
        $image_values = get_post_meta($post->ID, 'jumla-meta-image-layout', true);
        if (empty($image_values) || $image_values == "global") {
            $values = esc_attr(jumla_get_option('single_post_image_layout'));
        } else {
            $values = esc_attr($image_values);
        }
        if ('no-image' != $values) {
            if ('left' == $values) {
                echo "<div class='image-left'>";
                the_post_thumbnail('medium');
            } elseif ('right' == $values) {
                echo "<div class='image-right'>";
                the_post_thumbnail('medium');
            } else {
                echo "<div class='image-full'>";
                the_post_thumbnail('full');
            }
            echo "</div>";/*div end */
        }
        the_content();

        if( !class_exists( 'Booster_Extension_Class' ) ){

            wp_link_pages( array(
                'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'jumla' ),
                'after'  => '</div>',
            ) );

        }
        ?>
    </div>
</div><!-- .entry-content -->
<?php if (is_single()) { ?>
    <div class="single-meta">
        <?php if (has_category('', $post->ID)) { ?>
            <footer class="entry-footer">
                <?php jumla_entry_category(); ?>
            </footer><!-- .entry-footer -->
        <?php } ?>
        <?php if (has_tag()) { ?>
            <div class="post-tags">
                <?php jumla_entry_tags(); ?>
            </div>
        <?php } ?>
    </div>
<?php } ?>
</article><!-- #post-## -->
<?php 
if (1 == jumla_get_option('enable_author_info_in_single')) { ?>
    <div class="author-description">
        <?php
        $user_display_name = get_the_author_meta( 'display_name' );
        $user_user_description = get_the_author_meta( 'user_description' );
        $user_email = get_the_author_meta( 'user_email' ); ?>
        <div class="author-description-wrapper clear">
            <div class="author-avatar">
                <img src="<?php echo get_avatar_url($user_email,  'size = 200'); ?>">
            </div>
            <div class="author-details">
                <div class="author-info author-name-title">
                    <?php echo esc_html($user_display_name); ?>
                </div>
                <div class="author-info author-email">
                    <?php echo esc_attr($user_email); ?>
                </div>
                <div class="author-info author-description-content">
                    <?php echo esc_html($user_user_description); ?>
                </div>
            </div>
        </div>
    </div>
<?php } ?>
<?php 
if (1 == jumla_get_option('enable_related_post_in_single')) {
    /**
     * Hook jumla_related_posts
     *
     * @hooked jumla_get_related_posts
     */
    do_action('jumla_related_posts');
}